# DataExchange
TKSTEP
StepToTopoDS

# StepToTopoDS_PointVertexMap Class Reference

`#include <StepToTopoDS_PointVertexMap.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | StepToTopoDS_PointVertexMap (const Standard_Integer NbBuckets=1)
Standard_EXPORT StepToTopoDS_PointVertexMap & | Assign (const StepToTopoDS_PointVertexMap &Other)
StepToTopoDS_PointVertexMap & | operator= (const StepToTopoDS_PointVertexMap &Other)
Standard_EXPORT void | ReSize (const Standard_Integer NbBuckets)
Standard_EXPORT void | Clear ()
| ~StepToTopoDS_PointVertexMap ()
Standard_EXPORT Standard_Boolean | Bind (const Handle(StepGeom_CartesianPoint)&K, const TopoDS_Vertex &I)
Standard_EXPORT Standard_Boolean | IsBound (const Handle(StepGeom_CartesianPoint)&K) const
Standard_EXPORT Standard_Boolean | UnBind (const Handle(StepGeom_CartesianPoint)&K)
Standard_EXPORT const TopoDS_Vertex & | Find (const Handle(StepGeom_CartesianPoint)&K) const
const TopoDS_Vertex & | operator() (const Handle(StepGeom_CartesianPoint)&K) const
Standard_EXPORT TopoDS_Vertex & | ChangeFind (const Handle(StepGeom_CartesianPoint)&K)
TopoDS_Vertex & | operator() (const Handle(StepGeom_CartesianPoint)&K)

## Private Member Functions

Standard_EXPORT | StepToTopoDS_PointVertexMap (const StepToTopoDS_PointVertexMap &Other)

## Constructor & Destructor Documentation

Standard_EXPORT StepToTopoDS_PointVertexMap::StepToTopoDS_PointVertexMap | ( | const Standard_Integer | NbBuckets = `1` | ) |

StepToTopoDS_PointVertexMap::~StepToTopoDS_PointVertexMap | ( |  | ) | `[inline]`

Standard_EXPORT StepToTopoDS_PointVertexMap::StepToTopoDS_PointVertexMap | ( | const StepToTopoDS_PointVertexMap & | Other | ) | `[private]`

## Member Function Documentation

Standard_EXPORT StepToTopoDS_PointVertexMap& StepToTopoDS_PointVertexMap::Assign | ( | const StepToTopoDS_PointVertexMap & | Other | ) |

Standard_EXPORT Standard_Boolean StepToTopoDS_PointVertexMap::Bind | ( | const Handle(StepGeom_CartesianPoint)& | K,
|  | const TopoDS_Vertex & | I
| ) |

Standard_EXPORT TopoDS_Vertex& StepToTopoDS_PointVertexMap::ChangeFind | ( | const Handle(StepGeom_CartesianPoint)& | K | ) |

Standard_EXPORT void StepToTopoDS_PointVertexMap::Clear | ( |  | ) |

Standard_EXPORT const TopoDS_Vertex& StepToTopoDS_PointVertexMap::Find | ( | const Handle(StepGeom_CartesianPoint)& | K | ) | const

Standard_EXPORT Standard_Boolean StepToTopoDS_PointVertexMap::IsBound | ( | const Handle(StepGeom_CartesianPoint)& | K | ) | const

void StepToTopoDS_PointVertexMap::operator delete | ( | void * | anAddress | ) | `[inline]`

void* StepToTopoDS_PointVertexMap::operator new | ( | size_t | size | ) | `[inline]`

void* StepToTopoDS_PointVertexMap::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

TopoDS_Vertex& StepToTopoDS_PointVertexMap::operator() | ( | const Handle(StepGeom_CartesianPoint)& | K | ) | `[inline]`

const TopoDS_Vertex& StepToTopoDS_PointVertexMap::operator() | ( | const Handle(StepGeom_CartesianPoint)& | K | ) | const`[inline]`

StepToTopoDS_PointVertexMap& StepToTopoDS_PointVertexMap::operator= | ( | const StepToTopoDS_PointVertexMap & | Other | ) | `[inline]`

Standard_EXPORT void StepToTopoDS_PointVertexMap::ReSize | ( | const Standard_Integer | NbBuckets | ) |

Standard_EXPORT Standard_Boolean StepToTopoDS_PointVertexMap::UnBind | ( | const Handle(StepGeom_CartesianPoint)& | K | ) |

The documentation for this class was generated from the following file:

- StepToTopoDS_PointVertexMap.hxx